## This file was generated by scripts/generate-options.R
# Non-variable options (such as --help and --version) have names starting with "."
# Variables that do not have a command-line option have description == ""
# Types are b(oolean), i(nteger), s(tring), r(eal), p(ath), x (R object or no value)
# FIXME: Add special type for R functions.
# FIXME: For i and r add their range.
.irace.params.def <- structure(list(name = c(".help", ".version", ".check", ".onlytest", 
"scenarioFile", "parameterFile", "execDir", "logFile", "recoveryFile", 
"instances", "initConfigurations", "trainInstancesDir", "trainInstancesFile", 
"configurationsFile", "forbiddenExps", "forbiddenFile", "targetRunner", 
"targetRunnerRetries", "targetRunnerData", "targetRunnerParallel", 
"targetEvaluator", "maxExperiments", "maxTime", "budgetEstimation", 
"digits", "debugLevel", "nbIterations", "nbExperimentsPerIteration", 
"sampleInstances", "testType", "firstTest", "eachTest", "minNbSurvival", 
"nbConfigurations", "mu", "confidence", "deterministic", "seed", 
"parallel", "loadBalancing", "mpi", "batchmode", "softRestart", 
"softRestartThreshold", "testInstancesDir", "testInstancesFile", 
"testInstances", "testNbElites", "testIterationElites", "elitist", 
"elitistNewInstances", "elitistLimit", "repairConfiguration", 
"capping", "cappingType", "boundType", "boundMax", "boundDigits", 
"boundPar", "boundAsTimeout", "postselection", "aclib"), type = c("x", 
"x", "x", "p", "p", "p", "p", "p", "p", "s", "x", "p", "p", "p", 
"x", "p", "p", "i", "x", "x", "p", "i", "i", "r", "i", "i", "i", 
"i", "b", "s", "i", "i", "i", "i", "i", "r", "b", "i", "i", "b", 
"b", "s", "b", "r", "p", "p", "x", "i", "b", "b", "i", "i", "x", 
"b", "s", "s", "i", "i", "i", "b", "r", "b"), short = c("-h", 
"-v", "-c", "", "-s", "-p", "", "-l", "", "", "", "", "", "", 
"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", 
"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", 
"", "", "", "-e", "", "", "", "", "", "", "", "", "", "", "", 
""), long = c("--help", "--version", "--check", "--only-test", 
"--scenario", "--parameter-file", "--exec-dir", "--log-file", 
"--recovery-file", "", "", "--train-instances-dir", "--train-instances-file", 
"--configurations-file", "", "--forbidden-file", "--target-runner", 
"--target-runner-retries", "", "", "--target-evaluator", "--max-experiments", 
"--max-time", "--budget-estimation", "--digits", "--debug-level", 
"--iterations", "--experiments-per-iteration", "--sample-instances", 
"--test-type", "--first-test", "--each-test", "--min-survival", 
"--num-configurations", "--mu", "--confidence", "--deterministic", 
"--seed", "--parallel", "--load-balancing", "--mpi", "--batchmode", 
"--soft-restart", "--soft-restart-threshold", "--test-instances-dir", 
"--test-instances-file", "", "--test-num-elites", "--test-iteration-elites", 
"--elitist", "--elitist-new-instances", "--elitist-limit", "", 
"--capping", "--capping-type", "--bound-type", "--bound-max", 
"--bound-digits", "--bound-par", "--bound-as-timeout", "--postselection", 
"--aclib"), default = c(NA, NA, NA, "", "./scenario.txt", "./parameters.txt", 
"./", "./irace.Rdata", "", "", "", "./Instances", "", "", "", 
"", "./target-runner", "0", "", "", "", "0", "0", "0.02", "4", 
"0", "0", "0", "1", "F-test", "5", "1", "0", "0", "5", "0.95", 
"0", NA, "0", "1", "0", "0", "1", "", "", "", "", "1", "0", "1", 
"1", "2", "", "0", "median", "candidate", "0", "0", "1", "1", 
"0", "0"), description = c("Show this help.", "Show irace package version.", 
"Check scenario.", "Only test the configurations given in the file passed as argument.", 
"File that describes the configuration scenario setup and other irace settings.", 
"File that contains the description of the parameters of the target algorithm.", 
"Directory where the programs will be run.", "File to save tuning results as an R dataset, either absolute path or relative to execDir.", 
"Previously saved log file to recover the execution of irace, either absolute path or relative to the current directory.  If empty or NULL, recovery is not performed.", 
"", "", "Directory where training instances are located; either absolute path or relative to current directory. If no trainInstancesFiles is provided, all the files in trainInstancesDir will be listed as instances.", 
"File that contains a list of training instances and optionally additional parameters for them. If trainInstancesDir is provided, irace will search for the files in this folder.", 
"File that contains a table of initial configurations. If empty or NULL, all initial configurations are randomly generated.", 
"", "File that contains a list of logical expressions that cannot be TRUE for any evaluated configuration. If empty or NULL, do not use forbidden expressions.", 
"Script called for each configuration that executes the target algorithm to be tuned. See templates.", 
"Number of times to retry a call to targetRunner if the call failed.", 
"Optional data passed to targetRunner. This is ignored by the default targetRunner function, but it may be used by custom targetRunner functions to pass persistent data around.", 
"Optional R function to provide custom parallelization of targetRunner.", 
"Optional script or R function that provides a numeric value for each configuration. See templates/target-evaluator.tmpl", 
"Maximum number of runs (invocations of targetRunner) that will be performed. It determines the maximum budget of experiments for the tuning.", 
"Maximum total execution time in seconds for the executions of targetRunner. targetRunner must return two values: cost and time.", 
"Fraction (smaller than 1) of the budget used to estimate the mean computation time of a configuration. Only used when maxTime > 0", 
"Maximum number of decimal places that are significant for numerical (real) parameters.", 
"Debug level of the output of irace. Set this to 0 to silence all debug messages. Higher values provide more verbose debug messages.", 
"Number of iterations.", "Number of runs of the target algorithm per iteration.", 
"Randomly sample the training instances or use them in the order given.", 
"Statistical test used for elimination. Default test is always F-test unless capping is enabled, in which case the default test is t-test. Valid values are: F-test (Friedman test), t-test (pairwise t-tests with no correction), t-test-bonferroni (t-test with Bonferroni's correction for multiple comparisons), t-test-holm (t-test with Holm's correction for multiple comparisons).", 
"Number of instances evaluated before the first elimination test. It must be a multiple of eachTest.", 
"Number of instances evaluated between elimination tests.", "Minimum number of configurations needed to continue the execution of each race (iteration).", 
"Number of configurations to be sampled and evaluated at each iteration.", 
"Parameter used to define the number of configurations sampled and evaluated at each iteration.", 
"Confidence level for the elimination test.", "If the target algorithm is deterministic, configurations will be evaluated only once per instance.", 
"Seed of the random number generator (by default, generate a random seed).", 
"Number of calls to targetRunner to execute in parallel. Values 0 or 1 mean no parallelization.", 
"Enable/disable load-balancing when executing experiments in parallel. Load-balancing makes better use of computing resources, but increases communication overhead. If this overhead is large, disabling load-balancing may be faster.", 
"Enable/disable MPI. Use Rmpi to execute targetRunner in parallel (parameter parallel is the number of slaves).", 
"Specify how irace waits for jobs to finish when targetRunner submits jobs to a batch cluster: sge, pbs, torque or slurm. targetRunner must submit jobs to the cluster using, for example, qsub.", 
"Enable/disable the soft restart strategy that avoids premature convergence of the probabilistic model.", 
"Soft restart threshold value for numerical parameters. If NA, NULL or \"\", it is computed as 10^-digits.", 
"Directory where testing instances are located, either absolute or relative to current directory.", 
"File containing a list of test instances and optionally additional parameters for them.", 
"", "Number of elite configurations returned by irace that will be tested if test instances are provided.", 
"Enable/disable testing the elite configurations found at each iteration.", 
"Enable/disable elitist irace.", "Number of instances added to the execution list before previous instances in elitist irace.", 
"In elitist irace, maximum number per race of elimination tests that do not eliminate a configuration. Use 0 for no limit.", 
"User-defined R function that takes a configuration generated by irace and repairs it.", 
"Enable the use of adaptive capping, a technique designed for minimizing the computation time of configurations. This is only available when elitist is active.", 
"Measure used to obtain the execution bound from the performance of the elite configurations: median, mean, worst, best.", 
"Method to calculate the mean performance of elite configurations: candidate or instance.", 
"Maximum execution bound for targetRunner. It must be specified when capping is enabled.", 
"Precision used for calculating the execution time. It must be specified when capping is enabled.", 
"Penalization constant for timed out executions (executions that reach boundMax execution time).", 
"Replace the configuration cost of bounded executions with boundMax.", 
"Percentage of the configuration budget used to perform a postselection race of the best configurations of each iteration after the execution of irace.", 
"Enable/disable AClib mode. This option enables compatibility with GenericWrapper4AC as targetRunner script."
)), .Names = c("name", "type", "short", "long", "default", "description"
), row.names = c(".help", ".version", ".check", ".onlytest", 
"scenarioFile", "parameterFile", "execDir", "logFile", "recoveryFile", 
"instances", "initConfigurations", "trainInstancesDir", "trainInstancesFile", 
"configurationsFile", "forbiddenExps", "forbiddenFile", "targetRunner", 
"targetRunnerRetries", "targetRunnerData", "targetRunnerParallel", 
"targetEvaluator", "maxExperiments", "maxTime", "budgetEstimation", 
"digits", "debugLevel", "nbIterations", "nbExperimentsPerIteration", 
"sampleInstances", "testType", "firstTest", "eachTest", "minNbSurvival", 
"nbConfigurations", "mu", "confidence", "deterministic", "seed", 
"parallel", "loadBalancing", "mpi", "batchmode", "softRestart", 
"softRestartThreshold", "testInstancesDir", "testInstancesFile", 
"testInstances", "testNbElites", "testIterationElites", "elitist", 
"elitistNewInstances", "elitistLimit", "repairConfiguration", 
"capping", "cappingType", "boundType", "boundMax", "boundDigits", 
"boundPar", "boundAsTimeout", "postselection", "aclib"), class = "data.frame")
.irace.params.names <- c("scenarioFile", "parameterFile", "execDir", "logFile", "recoveryFile", 
"instances", "initConfigurations", "trainInstancesDir", "trainInstancesFile", 
"configurationsFile", "forbiddenExps", "forbiddenFile", "targetRunner", 
"targetRunnerRetries", "targetRunnerData", "targetRunnerParallel", 
"targetEvaluator", "maxExperiments", "maxTime", "budgetEstimation", 
"digits", "debugLevel", "nbIterations", "nbExperimentsPerIteration", 
"sampleInstances", "testType", "firstTest", "eachTest", "minNbSurvival", 
"nbConfigurations", "mu", "confidence", "deterministic", "seed", 
"parallel", "loadBalancing", "mpi", "batchmode", "softRestart", 
"softRestartThreshold", "testInstancesDir", "testInstancesFile", 
"testInstances", "testNbElites", "testIterationElites", "elitist", 
"elitistNewInstances", "elitistLimit", "repairConfiguration", 
"capping", "cappingType", "boundType", "boundMax", "boundDigits", 
"boundPar", "boundAsTimeout", "postselection", "aclib")
## FIXME: If these values are special perhaps they should be saved in $state ?
.irace.params.recover <- c("instances", "seed", "testInstances",
                           # We need this because this data may mutate
                           "targetRunnerData", "elitist", "deterministic")

